Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Static Private Member Functions | List of all members
eZImageAnalyzer Class Referenceabstract
Image conversion and scaling » Image analysis

The class eZImageAnalyzer does. More...

## Public Member Functions
| __construct ()
| process ( $mimeData, $parameters=array())

## Static Public Member Functions
static | createForMIME ( $mimeData)
static | create ( $analyzerName)
static | readAnalyzerSettingsFromINI ()

## Public Attributes
const | MODE_INDEXED = 1
const | MODE_TRUECOLOR = 2
const | TIMER_HUNDRETHS_OF_A_SECOND = 1
const | TRANSPARENCY_OPAQUE = 1
const | TRANSPARENCY_TRANSPARENT = 2
const | TRANSPARENCY_TRANSLUCENT = 3
| $MIMEList
| $Name

## Static Private Member Functions
static | analyzerData ()

## Detailed Description

The class eZImageAnalyzer does.

Definition at line 22 of file ezimageanalyzer.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZImageAnalyzer::__construct | ( |  | ) |

Definition at line 33 of file ezimageanalyzer.php.

## Member Function Documentation

## ◆ analyzerData()

static eZImageAnalyzer::analyzerData | ( |  | ) |
| static private

Definition at line 116 of file ezimageanalyzer.php.

Referenced by create(), createForMIME(), and readAnalyzerSettingsFromINI().

## ◆ create()

static eZImageAnalyzer::create | ( |  | $analyzerName | ) |
| static

Creates an analyzer for the analyzer name $analyzerName and returns it.

Definition at line 67 of file ezimageanalyzer.php.

References analyzerData(), eZExtension\findExtensionType(), and eZDebug\writeWarning().

Referenced by createForMIME().

## ◆ createForMIME()

static eZImageAnalyzer::createForMIME | ( |  | $mimeData | ) |
| static

Creates an analyzer for the analyzer name $analyzerName and returns it.

Definition at line 53 of file ezimageanalyzer.php.

References analyzerData(), and create().

Referenced by eZImageManager\analyzeImage().

## ◆ process()

eZImageAnalyzer::process | ( |  | $mimeData,
|  |  | $parameters = `array()`
| ) |  |
| pure virtual

Process the file based on the MIME data $mimeData and returns information on the analysis.

Returns
  `false` if the analysis fails.

Definition at line 45 of file ezimageanalyzer.php.

## ◆ readAnalyzerSettingsFromINI()

static eZImageAnalyzer::readAnalyzerSettingsFromINI | ( |  | ) |
| static

Definition at line 133 of file ezimageanalyzer.php.

References analyzerData(), and eZDebug\writeWarning().

Referenced by eZImageManager\factory().

## Member Data Documentation

## ◆ $MIMEList

eZImageAnalyzer::$MIMEList

Definition at line 160 of file ezimageanalyzer.php.

## ◆ $Name

eZImageAnalyzer::$Name

Definition at line 161 of file ezimageanalyzer.php.

## ◆ MODE_INDEXED

const eZImageAnalyzer::MODE_INDEXED = 1

Definition at line 24 of file ezimageanalyzer.php.

Referenced by eZGIFImageAnalyzer\process().

## ◆ MODE_TRUECOLOR

const eZImageAnalyzer::MODE_TRUECOLOR = 2

Definition at line 25 of file ezimageanalyzer.php.

## ◆ TIMER_HUNDRETHS_OF_A_SECOND

const eZImageAnalyzer::TIMER_HUNDRETHS_OF_A_SECOND = 1

Definition at line 27 of file ezimageanalyzer.php.

Referenced by eZGIFImageAnalyzer\process().

## ◆ TRANSPARENCY_OPAQUE

const eZImageAnalyzer::TRANSPARENCY_OPAQUE = 1

Definition at line 29 of file ezimageanalyzer.php.

Referenced by eZGIFImageAnalyzer\process().

## ◆ TRANSPARENCY_TRANSLUCENT

const eZImageAnalyzer::TRANSPARENCY_TRANSLUCENT = 3

Definition at line 31 of file ezimageanalyzer.php.

## ◆ TRANSPARENCY_TRANSPARENT

const eZImageAnalyzer::TRANSPARENCY_TRANSPARENT = 2

Definition at line 30 of file ezimageanalyzer.php.

Referenced by eZGIFImageAnalyzer\process().

The documentation for this class was generated from the following file:

- ezimageanalyzer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.